# Default corpus attributes
from arkindex_common.enums import TranscriptionType


DEFAULT_CORPUS_TYPES = [
    {
        'slug': 'folder',
        'display_name': 'Folder',
        'folder': True,
    },
    {
        'slug': 'page',
        'display_name': 'Page',
    },
    {
        'slug': 'text_line',
        'display_name': 'Text line',
        'allowed_transcription': TranscriptionType.Line,
    },
    {
        'slug': 'illustration',
        'display_name': 'Illustration',
    },
    {
        'slug': 'decoration',
        'display_name': 'Decoration',
    },
    {
        'slug': 'chart',
        'display_name': 'Chart',
    },
    {
        'slug': 'table',
        'display_name': 'Table',
    },
    {
        'slug': 'signature',
        'display_name': 'Signature',
    }
]

DEFAULT_TRANSKRIBUS_TYPES = [
    {
        'slug': 'volume',
        'display_name': 'Volume',
        'folder': True,
    },
    {
        'slug': 'page',
        'display_name': 'Page',
    },
    {
        'slug': 'text_line',
        'display_name': 'Text line',
        'allowed_transcription': TranscriptionType.Line,
    },
    {
        'slug': 'paragraph',
        'display_name': 'Paragraph',
        'allowed_transcription': TranscriptionType.Paragraph,
    }
]
